Upgrade from 2.6.0.beta2 Failing

Upgrade from command line failing. Currently on version 2.6.0.beta2. Last upgrade was last year so yeah we are behind. Is there something I need to do to resolve?

cd /var/discourse
git pull
./launcher rebuild app

Upgrade Output:

I, [2021-08-05T17:49:35.682085 #1]  INFO -- : > cd /var/www/discourse && git clean -f
I, [2021-08-05T17:49:35.813267 #1]  INFO -- :
I, [2021-08-05T17:49:35.813403 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches --add origin master
I, [2021-08-05T17:49:35.818208 #1]  INFO -- :
I, [2021-08-05T17:49:35.818342 #1]  INFO -- : > cd /var/www/discourse && git pull
fatal: Couldn't find remote ref refs/heads/master
I, [2021-08-05T17:49:36.791977 #1]  INFO -- :
I, [2021-08-05T17:49:36.792310 #1]  INFO -- : Terminating async processes
I, [2021-08-05T17:49:36.792381 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/12/bin/postmaster -D /etc/postgresql/12/main pid: 55
I, [2021-08-05T17:49:36.792431 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 172
2021-08-05 17:49:36.792 UTC [55] LOG:  received fast shutdown request
172:signal-handler (1628185776) Received SIGTERM scheduling shutdown...
172:M 05 Aug 2021 17:49:36.797 # User requested shutdown...
172:M 05 Aug 2021 17:49:36.797 * Saving the final RDB snapshot before exiting.
2021-08-05 17:49:36.808 UTC [55] LOG:  aborting any active transactions
2021-08-05 17:49:36.811 UTC [55] LOG:  background worker "logical replication launcher" (PID 64) exited with exit code 1
2021-08-05 17:49:36.812 UTC [59] LOG:  shutting down
172:M 05 Aug 2021 17:49:36.829 * DB saved on disk
172:M 05 Aug 2021 17:49:36.829 # Redis is now ready to exit, bye bye...
2021-08-05 17:49:36.848 UTC [55] LOG:  database system is shut down


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && git pull failed with return #<Process::Status: pid 207 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:117:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["git reset --hard", "git clean -f", "git remote set-branches --add origin master", "git pull", "git fetch origin $version", "git checkout $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "find public/plugins/ -maxdepth 1 -xtype l -delete"]}
0f1af795d71c0071dee60254724c9555e364228efa45670ac461bdd10267be72
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.

It has probably something to do with Our default branch is now `main` , not quite sure why though :thinking: Did your git pull fail too ?

Git pull says already up-to-date.

Could you grep origin /var/discourse/templates/web.template.yml ?

You might post your app.yml.